Flecs: ecs_allocator_memory_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_allocator_memory_t Struct Reference
C API » Addons » Stats

Allocator memory. More...

`#include <stats.h>`

## Public Attributes
ecs_size_t | bytes_graph_edge
| Graph edge allocator.
ecs_size_t | bytes_component_record
| Component record allocator.
ecs_size_t | bytes_pair_record
| Pair record allocator.
ecs_size_t | bytes_table_diff
| Table diff allocator.
ecs_size_t | bytes_sparse_chunk
| Sparse chunk allocator.
ecs_size_t | bytes_allocator
| Generic allocator.
ecs_size_t | bytes_stack_allocator
| Stack allocator.
ecs_size_t | bytes_cmd_entry_chunk
| Command batching entry chunk allocator.
ecs_size_t | bytes_query_impl
| Query struct allocator.
ecs_size_t | bytes_query_cache
| Query cache struct allocator.
ecs_size_t | bytes_misc
| Miscellaneous allocators.

## Detailed Description

Allocator memory.

Memory that is allocated by allocators but not in use.

Definition at line 597 of file stats.h.

## Member Data Documentation

## ◆ bytes_allocator

ecs_size_t ecs_allocator_memory_t::bytes_allocator

Generic allocator.

Definition at line 603 of file stats.h.

## ◆ bytes_cmd_entry_chunk

ecs_size_t ecs_allocator_memory_t::bytes_cmd_entry_chunk

Command batching entry chunk allocator.

Definition at line 605 of file stats.h.

## ◆ bytes_component_record

ecs_size_t ecs_allocator_memory_t::bytes_component_record

Component record allocator.

Definition at line 599 of file stats.h.

## ◆ bytes_graph_edge

ecs_size_t ecs_allocator_memory_t::bytes_graph_edge

Graph edge allocator.

Definition at line 598 of file stats.h.

## ◆ bytes_misc

ecs_size_t ecs_allocator_memory_t::bytes_misc

Miscellaneous allocators.

Definition at line 608 of file stats.h.

## ◆ bytes_pair_record

ecs_size_t ecs_allocator_memory_t::bytes_pair_record

Pair record allocator.

Definition at line 600 of file stats.h.

## ◆ bytes_query_cache

ecs_size_t ecs_allocator_memory_t::bytes_query_cache

Query cache struct allocator.

Definition at line 607 of file stats.h.

## ◆ bytes_query_impl

ecs_size_t ecs_allocator_memory_t::bytes_query_impl

Query struct allocator.

Definition at line 606 of file stats.h.

## ◆ bytes_sparse_chunk

ecs_size_t ecs_allocator_memory_t::bytes_sparse_chunk

Sparse chunk allocator.

Definition at line 602 of file stats.h.

## ◆ bytes_stack_allocator

ecs_size_t ecs_allocator_memory_t::bytes_stack_allocator

Stack allocator.

Definition at line 604 of file stats.h.

## ◆ bytes_table_diff

ecs_size_t ecs_allocator_memory_t::bytes_table_diff

Table diff allocator.

Definition at line 601 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h